Package org.apache.storm.redis.common.mapper

# Enum Class RedisDataTypeDescription.RedisDataType

java.lang.Object
java.lang.Enum<RedisDataTypeDescription.RedisDataType>
org.apache.storm.redis.common.mapper.RedisDataTypeDescription.RedisDataType

All Implemented Interfaces:
  `Serializable`, `Comparable<RedisDataTypeDescription.RedisDataType>`, `Constable`

Enclosing class:
  RedisDataTypeDescription

public static enum RedisDataTypeDescription.RedisDataType extends Enum<RedisDataTypeDescription.RedisDataType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GEO`
  `HASH`
  `HYPER_LOG_LOG`
  `LIST`
  `SET`
  `SORTED_SET`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RedisDataTypeDescription.RedisDataType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RedisDataTypeDescription.RedisDataType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final RedisDataTypeDescription.RedisDataType STRING

  - ### HASH

    public static final RedisDataTypeDescription.RedisDataType HASH

  - ### LIST

    public static final RedisDataTypeDescription.RedisDataType LIST

  - ### SET

    public static final RedisDataTypeDescription.RedisDataType SET

  - ### SORTED_SET

    public static final RedisDataTypeDescription.RedisDataType SORTED_SET

  - ### HYPER_LOG_LOG

    public static final RedisDataTypeDescription.RedisDataType HYPER_LOG_LOG

  - ### GEO

    public static final RedisDataTypeDescription.RedisDataType GEO

- ## Method Details

  - ### values

    public static RedisDataTypeDescription.RedisDataType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RedisDataTypeDescription.RedisDataType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null